// 
// File name: Scene.h
//
// Discription: Base classes
//
// Programmer: Vladimir P. Stasevich (SV)
//
// History: 
//    Created 26.01.2000 (SV)
//

#ifndef SCENE_H
#define SCENE_H

#include <vcl.h>
#pragma hdrstop

#include "Robot.h"

#define BUSHHEIGTHKOEF 0.5

class TScene
{
   protected:
      double width;
      double height;
      double bushRadius;
      double bushFacetRadius;
      double bushFacetAngle;

      double criticalRadius;
      

   public:
      TScene();

      void SetWidth( double w )
      { width = w; };
      
      void SetHeight( double h )
      { height = h; };

      double GetWidth()
      { return width; };
      
      double GetBushFacetAngle()
      { return bushFacetAngle; };

      void GetLeft ( double& x, double& y );
      void GetRight( double& x, double& y );
      void GetLeftFacet ( double& x, double& y );
      void GetRightFacet( double& x, double& y );
      void GetLeftBush ( double& x, double& y );
      void GetRightBush( double& x, double& y );
      void GetLeftDown ( double& x, double& y );
      void GetRightDown( double& x, double& y );
      
      void PaintOnCanvas( TCanvas* canvas, TColor color );
};

extern TScene scene;

#endif

